Mailinglist Archive: opensuse-factory (1264 mails)

< Previous Next >
[opensuse-factory] VirtualBox Guest Additions
In case any packager is interested about VBox Guest Additions, I just
read this off of the vbox-dev mailing list.



----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Hello Felix and all,

As an update to our discussion about how to reconcile distribution
versions of the Additions with Oracle's, I have taken care of both of
the points below. Any future 4.1 releases will have a modified
version notifier on non-Oracle builds which advise the user that if
their distribution/distributor no longer provides current versions of
the Additions they should remove the distribution version and install
ours. Distributors should feel free to customise the message. And we
have also fixed the only problem we could find which would cause
problems when 4.1 Additions were used with a 4.0 host - the Guest
Execution functionality was not working in this case. The 3D ABI is
compatible between 4.0 and 4.1, and we will try our best not to keep
it compatible in future. So as of any future 4.1 or later releases it
will be safe for distributions to supply the most recent version of
the Additions for use with any host version as of 4.0. (Just in case
there is any doubt, we will only be testing this for Linux guests,
although chances are good that it will apply for other guests too.)

Regards,

Michael

On 08/31/2011 11:17 AM, Michael Thayer wrote:
I have let this go through my head a bit and come to the conclusion that
two things might be helpful here. One would be if we (VirtualBox
upstream) could make the Additions officially compatible with (some)
previous releases of VirtualBox. With a big question mark over 3D
support (which I am less familiar with) I don't think that it would be a
major problem for 4.1 Additions to also support VirtualBox 4.0 and
possibly 3.2 in an optimal way, though I will have to take a look at
that. The other thing would be making use of the version notifier which
is built into the Additions and warns if they are older than the
VirtualBox version they are running on. The message could be changed
slightly in a distribution-specific way, to tell the user how to update
the distribution packages, and how to uninstall the packages so that
they can install our Additions if the right update is not available.

--
ORACLE Deutschland B.V. & Co. KG Michael Thayer
Werkstrasse 24 VirtualBox engineering
71384 Weinstadt, Germany mailto:michael.thayer@xxxxxxxxxx

Hauptverwaltung: Riesstr. 25, D-80992 München
Registergericht: Amtsgericht München, HRA 95603

Komplementärin: ORACLE Deutschland Verwaltung B.V.
Hertogswetering 163/167, 3543 AS Utrecht, Niederlande
Handelsregister der Handelskammer Midden-Niederlande, Nr. 30143697
Geschäftsführer: Jürgen Kunz, Marcel van de Molen, Alexander van der Ven
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-factory+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages